> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.helpeventhandler.md).

# HelpEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle the [HelpRequested](/api/wisej.web/general/control.md#helprequested) event of a [Control](/api/wisej.web/general/control.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void HelpEventHandler(Object sender, HelpEventArgs hlpevent)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub HelpEventHandler(ByVal sender As [Object], ByVal hlpevent As HelpEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name         | Type                                                                       | Description                                                                                                       |
| ------------ | -------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **sender**   | [Object](https://docs.microsoft.com/dotnet/api/system.object)              | The source of the event.                                                                                          |
| **hlpevent** | [HelpEventArgs](/api/wisej.web/general/control/wisej.web.helpeventargs.md) | A [HelpEventArgs](/api/wisej.web/general/control/wisej.web.helpeventargs.md) object that contains the event data. |

## Fired By

| Name                                                                     | Description                                                     |
| ------------------------------------------------------------------------ | --------------------------------------------------------------- |
| [Control.HelpRequested](/api/wisej.web/general/control.md#helprequested) | Fired when the user requests help for a control by pressing F1. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.helpeventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
